### Enumeration

# Clutter InputCapabilities

#### Declaration

    flags Clutter.InputCapabilities

#### Description

No description available.

#### Members

`CLUTTER_INPUT_CAPABILITY_NONE`

  No description available.

  - Value: `0`
  - Available since: 14
`CLUTTER_INPUT_CAPABILITY_POINTER`

  No description available.

  - Value: `1`
  - Available since: 14
`CLUTTER_INPUT_CAPABILITY_KEYBOARD`

  No description available.

  - Value: `2`
  - Available since: 14
`CLUTTER_INPUT_CAPABILITY_TOUCHPAD`

  No description available.

  - Value: `4`
  - Available since: 14
`CLUTTER_INPUT_CAPABILITY_TOUCH`

  No description available.

  - Value: `8`
  - Available since: 14
`CLUTTER_INPUT_CAPABILITY_TABLET_TOOL`

  No description available.

  - Value: `16`
  - Available since: 14
`CLUTTER_INPUT_CAPABILITY_TABLET_PAD`

  No description available.

  - Value: `32`
  - Available since: 14
`CLUTTER_INPUT_CAPABILITY_TRACKBALL`

  No description available.

  - Value: `64`
  - Available since: 14
`CLUTTER_INPUT_CAPABILITY_TRACKPOINT`

  No description available.

  - Value: `128`
  - Available since: 14